%define ver 1.3.22
%define patchlevel pl3

Summary: A DHCP (Dynamic Host Configuration Protocol) client.
Name: dhcpcd
Version: %{ver}%{patchlevel}
Release: 1m
License: GPL
Group: System Environment/Base
Source: http://www.phystech.com/ftp/dhcpcd-%{ver}-%{patchlevel}.tar.gz
Patch0: dhcpcd-1.3.21-post.patch
Patch1: dhcpcd-1.3.21-noNISfakery.patch
Patch2: dhcpcd-1.3.21-noMoFakery.patch
Patch3: dhcpcd-1.3.22-pl1-read-cache.patch
Patch4: dhcpcd-1.3.22-pl3-runtimeinfodir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server.  The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcpcd package includes a 
DHCP client daemon.

If you're going to use DHCP on your network, you'll need to install
the server package (dhcp) on the server, and a client package on the
client machines. The dhcpcd package includes a DHCP client, but we
suggest that you instead install the DHCP client included in the pump
package, which provides a faster and simpler DHCP client.

%prep
%setup -q -n dhcpcd-%{ver}-%{patchlevel}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
automake
%configure --sbindir=/sbin
make 

%install
rm -rf %{buildroot}
%makeinstall sbindir=%{buildroot}/sbin

rm -rf %{buildroot}/etc/dhcpc*

mkdir -p %{buildroot}/etc/dhcpc
ln -s dhcpc %{buildroot}/etc/dhcpcd
%{__install} -m 755 dhcpcd.exe %{buildroot}/etc/dhcpcd/dhcpcd.exe.sample

mkdir -p %{buildroot}/var/dhcpcd
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog NEWS
%{_sysconfdir}/dhcpcd
%dir %{_sysconfdir}/dhcpc
%{_sysconfdir}/dhcpc/dhcpcd.exe.sample
/sbin/dhcpcd
%dir %{_var}/dhcpcd
%{_mandir}/man8/dhcpcd.8*

%pre
exec > /dev/null 2> /dev/null
# We can't replace a directory with a symlink, but this directory is supposed
# to be a symlink.
if [ -d /etc/dhcpcd ] ; then
	mv /etc/dhcpcd/* /etc/dhcpc
	mv /etc/dhcpcd /etc/dhcpcd.rpmsave
fi
# Remove the circular link which was in a previous version of this package.
if [ -L /etc/dhcpc/dhcpc ] ; then
	if file /etc/dhcpc/dhcpc | grep -q "symbolic link to dhcpc" ; then
		rm /etc/dhcpc/dhcpc
		# Leave a file for RPM to remove.
		touch /etc/dhcpc/dhcpc
	fi
fi

%changelog
* Mon Nov 18 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.22pl3-1m)
- update to 1.3.22pl3
- revise runtimeinfodir patch

* Sat Sep 28 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.22pl2-1m)
- update to 1.3.22pl2

* Wed Jul 17 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.22pl1-5m)
- change runtime information directory to /var/dhcpcd/ (dhcpcd-1.3.22-pl1-runtimeinfodir.patch)
- add some documents to %files
- add dhcpcd.exe.sample

* Tue May 14 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.3.22pl1-4k)
  added automake at build section

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (1.3.22pl1-2k)
- ummmm.

* Sun Oct 28 2001 Toru Hoshina <t@kondara.org>
- (1.3.20pl0-4k)
- version up, but...

* Fri Jul 21 2000 Erik Troan <ewt@redhat.com>
- package up /etc/dhcpc as a symlink

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 22 2000 Bill Nottingham <notting@redhat.com>
- actually update to 1.3.18pl8

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Thu May 11 2000 Karsten Hopp <Karsten.Hopp@redhat.de>
- updated to dhcpcd-1.3.18pl8

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- updated to dhcpcd-1.3.18pl3
- don't statically link the binary

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix the descriptions and summary
- man pages are compressed

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- rebuild against the latest glibc in the sparc tree

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- include 802.2 token ring support patch (#2061).

* Sat May 29 1999 Jeff Johnson <jbj@redhat.com>
- include /etc/dhcpc in package (#3097).
- upgrade to 1.3.17-pl5.

* Mon Apr 19 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- mark default route up.

* Sun Jun  7 1998 Jeff Johnson <jbj@redhat.com>
- Fix packet alignment problems on sparc.
- build root.

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed May  6 1998 Alan Cox
- fixed some potential buffer exploits reported by Chris Evans

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups 

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc, updated to 0.65

* Mon Apr 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed summary line... was a summary for tar.
